import 'package:flutter/material.dart';
import 'package:baby_names_app/utils/my_navigator.dart';

class GenderScreen extends StatefulWidget {
  @override
  createState() {
    return new GenderScreenState();
  }
}

class GenderScreenState extends State<GenderScreen> {
  List<RadioModel> sampleData = new List<RadioModel>();

  @override
  void initState() {
    super.initState();
    sampleData.add(new RadioModel(false, 'மகன்',
        Image.asset("assets/images/boy.png", width: 256.0, height: 256.0)));
    sampleData.add(new RadioModel(false, 'மகள்',
        Image.asset("assets/images/girl.png", width: 256.0, height: 256.0)));
  }

  @override
  Widget build(BuildContext context) {
    return new Scaffold(
      appBar: new AppBar(
        title: new Text("குழந்தையின் பாலினம்"),
      ),
      body: new ListView.builder(
        itemCount: sampleData.length,
        itemBuilder: (BuildContext context, int index) {
          return new InkWell(
            highlightColor: Colors.red,
            splashColor: Colors.redAccent,
            onTap: () {
              setState(() {
                sampleData.forEach((element) => element.isSelected = false);
                sampleData[index].isSelected = true;
                MyNavigator.goToLetters(context);
              });
            },
            child: new RadioItem(sampleData[index]),
          );
        },
      ),
    );
  }
}

class RadioItem extends StatelessWidget {
  final RadioModel _item;
  RadioItem(this._item);
  @override
  Widget build(BuildContext context) {
    return new Container(
      margin: new EdgeInsets.all(15.0),
      child: new Row(
        mainAxisSize: MainAxisSize.max,
        children: <Widget>[
          new Container(
            height: 50.0,
            width: 70.0,
            child: new Center(
              child: new Text(_item.buttonText,
                  style: new TextStyle(
                      color: _item.isSelected ? Colors.white : Colors.black,
                      fontWeight: FontWeight.bold,
                      fontSize: 18.0)),
            ),
            decoration: new BoxDecoration(
              color: _item.isSelected ? Colors.red : Colors.transparent,
              border: new Border.all(
                  width: 1.0,
                  color: _item.isSelected ? Colors.red : Colors.grey),
              borderRadius: const BorderRadius.all(const Radius.circular(5.0)),
            ),
          ),
          new Container(
            margin: new EdgeInsets.only(left: 0.0),
            child: _item.image,
          ),
        ],
      ),
    );
  }
}

class RadioModel {
  bool isSelected;
  final String buttonText;
  final Image image;
  RadioModel(this.isSelected, this.buttonText, this.image);
}
