import 'package:flutter/material.dart';
import 'package:baby_names_app/utils/constants.dart';
import 'package:baby_names_app/utils/my_navigator.dart';

void main() {
  runApp(new LettersScreen());
}

class LettersScreen extends StatelessWidget {
  final charA = Flutkart.a.codeUnitAt(0);
  @override
  Widget build(BuildContext context) {
    return new Scaffold(
      appBar: new AppBar(
        title: new Text('ஆரம்ப எழுத்துக்கள்'),
      ),
      body: new GridView.count(
        crossAxisCount: 4,
        children: new List<Widget>.generate(26, (index) {
          return new GridTile(
            child: new InkResponse(
              enableFeedback: true,
              child: new Card(
                  color: Colors.yellowAccent,
                  child: new Center(
                    child: new Text(
                      new String.fromCharCode(charA + index),
                      style: new TextStyle(
                          fontWeight: FontWeight.bold, fontSize: 32),
                    ),
                  )),
              onTap: () => _onTileClicked(index, context),
            ),
          );
        }),
      ),
    );
  }
}

void _onTileClicked(int index, BuildContext context) {
  MyNavigator.goToHome(context);
}
